Bug 1881688 - apiserver logs "before server is ready" messages for every request
Summary: apiserver logs "before server is ready" messages for every request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: David Eads
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 21:37 UTC by Dan Williams
Modified: 2020-10-27 16:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:44:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 371 0 None closed Bug 1881688: UPSTREAM: 94984: check readyz before adding endpoint for kube-apiserver 2021-01-07 22:26:30 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:44:26 UTC

Description Dan Williams 2020-09-22 21:37:23 UTC
https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_ovn-kubernetes/279/pull-ci-openshift-ovn-kubernetes-master-e2e-aws-ovn/1308197296986394624

https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/pr-logs/pull/openshift_ovn-kubernetes/279/pull-ci-openshift-ovn-kubernetes-master-e2e-aws-ovn/1308197296986394624/artifacts/e2e-aws-ovn/pods/openshift-kube-apiserver_kube-apiserver-ip-10-0-135-248.us-west-1.compute.internal_kube-apiserver.log

W0922 01:26:24.685077      19 patch_genericapiserver.go:119] Request to "/apis/discovery.k8s.io/v1beta1" (source IP 10.0.249.79:23149, user agent "kube-controller-manager/v1.19.0 (linux/amd64) kubernetes/7e8389f/system:serviceaccount:kube-system:namespace-controller") before server is ready, possibly a sign for a broken load balancer setup.

Seen on both GCP and AWS.

Comment 4 Tim Rozet 2020-09-24 15:17:30 UTC
Looks like the other log spam is now being tracked in: https://bugzilla.redhat.com/show_bug.cgi?id=1882446

Comment 5 Xingxing Xia 2020-09-27 10:21:35 UTC
Hit in 4.6.0-0.nightly-2020-09-23-022756 env. Didn't hit in latest 4.6.0-0.nightly-2020-09-26-202331 env.

Comment 8 errata-xmlrpc 2020-10-27 16:44:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.